---
title: Processing update messages from Docusign
slug: amberflo-api/processing-update-messages-from-docusign
docTags: 
createdAt: 2024-11-07T15:10:16.980Z
---

{
  "id": "6qDIFVjy2iYd7f3Pegn_3",
  "type": "api-oas-v2",
  "data": {
    "method": "POST",
    "url": "https://app.amberflo.io/integration/docusign/webhook/envelope",
    "servers": [
      {
        "url": "https://app.amberflo.io/integration/docusign/webhook/envelope"
      }
    ],
    "name": "Processing update messages from Docusign",
    "description": "",
    "contentType": "application/json",
    "request": {
      "pathParameters": [],
      "headerParameters": [],
      "queryParameters": [],
      "bodyDataParameters": [
        {
          "kind": "optional",
          "name": "body",
          "type": "object",
          "description": "",
          "customType": "com.amberflo.integration.docusign.DocumentEnvelopeUpdateMessage.in",
          "schema": [
            {
              "name": "accountId",
              "kind": "optional",
              "type": "string",
              "description": "accountId",
              "example": ""
            },
            {
              "name": "generatedDateTime",
              "kind": "required",
              "type": "string",
              "description": "updated time in ISO 8601",
              "example": ""
            },
            {
              "name": "event",
              "kind": "required",
              "type": "string",
              "description": "event",
              "example": ""
            },
            {
              "name": "data",
              "kind": "required",
              "type": "object",
              "description": "detailMessage",
              "modelRef": "#/components/schemas/com.amberflo.integration.docusign.DetailEnvelopeMessage.in",
              "customType": "com.amberflo.integration.docusign.DetailEnvelopeMessage.in",
              "schema": [
                {
                  "name": "envelopeId",
                  "kind": "required",
                  "type": "string",
                  "description": "Envelope Id",
                  "example": ""
                },
                {
                  "name": "recipientId",
                  "kind": "optional",
                  "type": "string",
                  "description": "Recipient Id",
                  "example": ""
                }
              ]
            }
          ],
          "modelRef": "#/components/schemas/com.amberflo.integration.docusign.DocumentEnvelopeUpdateMessage.in",
          "isExpanded": true
        }
      ],
      "formDataParameters": [],
      "oAuthParameters": [
        {
          "id": "apiKey",
          "name": "X-API-KEY",
          "kind": "optional",
          "type": "apiKey",
          "in": "header"
        }
      ]
    },
    "responses": [
      {
        "statusCode": "200",
        "description": "Successful request",
        "jsonExample": "",
        "isExpanded": true
      }
    ],
    "examples": {
      "languages": [
        {
          "id": "3TV2aCMiXXA23a-CiHaMV",
          "language": "curl",
          "label": "cURL",
          "code": "curl --request POST \\\n     --url https://app.amberflo.io/integration/docusign/webhook/envelope \\\n     --header 'accept: application/json' \\\n     --header 'content-type: application/json' \\\n     --data '{\n     \"generatedDateTime\": \"\",\n     \"event\": \"\",\n     \"data\": {\n     \"envelopeId\": \"\"\n     }\n     }'"
        },
        {
          "id": "70Ixe7hapniCmKLJck93L",
          "language": "javascript",
          "label": "javascript",
          "code": "var myHeaders = new Headers();\nmyHeaders.append(\"accept\", \"application/json\");\nmyHeaders.append(\"content-type\", \"application/json\");\n\nvar raw = JSON.stringify({\n   \"generatedDateTime\": \"\",\n   \"event\": \"\",\n   \"data\": {\n      \"envelopeId\": \"\"\n   }\n});\n\nvar requestOptions = {\n   method: 'POST',\n   headers: myHeaders,\n   body: raw,\n   redirect: 'follow'\n};\n\nfetch(\"https://app.amberflo.io/integration/docusign/webhook/envelope\", requestOptions)\n   .then(response => response.text())\n   .then(result => console.log(result))\n   .catch(error => console.log('error', error));"
        },
        {
          "id": "-XOh_P7NCjfk6N5RqCqps",
          "language": "ruby",
          "label": "Ruby",
          "code": "require \"uri\"\nrequire \"json\"\nrequire \"net/http\"\n\nurl = URI(\"https://app.amberflo.io/integration/docusign/webhook/envelope\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Post.new(url)\nrequest[\"accept\"] = \"application/json\"\nrequest[\"content-type\"] = \"application/json\"\nrequest.body = JSON.dump({\n   \"generatedDateTime\": \"\",\n   \"event\": \"\",\n   \"data\": {\n      \"envelopeId\": \"\"\n   }\n})\n\nresponse = https.request(request)\nputs response.read_body\n"
        },
        {
          "id": "zBWUPEmCLf85Q4RaGOHvq",
          "language": "python",
          "label": "Python",
          "code": "import requests\nimport json\n\nurl = \"https://app.amberflo.io/integration/docusign/webhook/envelope\"\n\npayload = json.dumps({\n   \"generatedDateTime\": \"\",\n   \"event\": \"\",\n   \"data\": {\n      \"envelopeId\": \"\"\n   }\n})\nheaders = {\n   'accept': 'application/json',\n   'content-type': 'application/json'\n}\n\nresponse = requests.request(\"POST\", url, headers=headers, data=payload)\n\nprint(response.text)\n"
        }
      ],
      "selectedLanguageId": "3TV2aCMiXXA23a-CiHaMV"
    },
    "results": {
      "languages": [
        {
          "id": "response-0-200",
          "language": "200",
          "code": "// Successful request\n"
        }
      ],
      "selectedLanguageId": "response-0-200"
    }
  },
  "children": [
    {
      "text": ""
    }
  ]
}